- Qt 6.9
- Qt GRPC
- QML Types
- GrpcHttp2Channel
- Qt 6.9.2 Reference Documentation

# GrpcHttp2Channel QML Type

HTTP/2 QML channel. More...

Import Statement: | `import QtGrpc`
Since: | Qt 6.7
In C++: | QGrpcHttp2Channel

- List of all members, including inherited members

## Properties

- hostUri : url
- options : GrpcChannelOptions

## Detailed Description

Implements the QAbstractGrpcChannel interface for HTTP/2 channel type. It allows to set QGrpcChannelOptions options required for a channel creation and returns a pointer to the QAbstractGrpcChannel-based object.

Note: You can inherit from QGrpcChannelOptions for importing custom channel in QML.

See also QGrpcHttp2Channel.

## Property Documentation

hostUri : url

Sets a host `URL` for the channel.

Note: host is `REQUIRED` property. It must be set for object creation.

See also QGrpcHttp2Channel::hostUri.

options : GrpcChannelOptions

Returns a pointer to the GrpcChannelOptions object.

See also QGrpcChannelOptions.